%define	name	bluez-firmware
%define version 1.2

Name: 		%{name}
Summary: 	Bluetooth firmware utilities
Version: 	%{version}
Release: 	%mkrel 8
Source:		%{name}-%{version}.tar.xz
Source1:    brcm.tar.xz
Source2:    20-bluetooth-vendor-product.hwdb
URL:		http://bluez.sourceforge.net/
License:	Freeware
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	bluez-bluefw
Obsoletes:	bluez-bluefw
BuildArch:	noarch

%description 
This package contains firmware images for some Bluetooth(TM)
adapters. 

%package        broadcom
Summary:        Additional Broadcom Bluetooth(TM) firmware
Group:          System/Kernel and hardware

%description broadcom
Additional broadcom Bluetooth(TM) firmware.

%prep
%setup -q

%build
%configure2_5x --libdir=/lib
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %buildroot/lib/firmware
tar xpvf %SOURCE1 -C %buildroot/lib/firmware/

install -Dm 0644 %SOURCE2 %buildroot/lib/udev/hwdb.d/20-bluetooth-vendor-product.hwdb

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog 
/lib/firmware/BCM-LEGAL.txt
/lib/firmware/BCM2033-FW.bin
/lib/firmware/BCM2033-MD.hex
/lib/firmware/STLC2500_R4_00_03.ptc
/lib/firmware/STLC2500_R4_00_06.ssf
/lib/firmware/STLC2500_R4_02_02_WLAN.ssf
/lib/firmware/STLC2500_R4_02_04.ptc
/lib/udev/hwdb.d/20-bluetooth-vendor-product.hwdb

%files broadcom
/lib/firmware/brcm

%changelog
* Mon Nov 25 2019 tex - 1.2-8pclos2019
- add udev rule for bluetooth

* Tue Jul 30 2019 tex - 1.2-7pclos2019
- rebuild against updates

* Sat Jul 01 2017 bb2 <bb2> - 1.2-6pclos2017
- split out broadcom firmware files

* Wed May 24 2017 bb2 <bb2> - 1.2-5pclos2017
- add more firmware

* Wed May 24 2017 bb2 <bb2> - 1.2-4pclos2017
- add additional firmware

* Wed May 17 2017 bb2 <bb2> - 1.2-3pclos2017
- add additional firmware

* Wed May 17 2017 bb2 <bb2> - 1.2-2pclos2017
- rebuild for 2017
